<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/msmi_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>12/01/86  msmi_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>This subroutine provides a means of obtaining information about a
<span id="L4" class="LineNr">  4 </span>MRDS submodel.
<span id="L5" class="LineNr">  5 </span>
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>Entry points in msmi_:
<span id="L8" class="LineNr">  8 </span>       <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>:Entry: close_submodel: 12/01/86  msmi_$close_submodel
<span id="L12" class="LineNr"> 12 </span>
<span id="L13" class="LineNr"> 13 </span>Function:  This entry disassociates an opening name and a submodel
<span id="L14" class="LineNr"> 14 </span>to prevent further access to that submodel through that opening_name.
<span id="L15" class="LineNr"> 15 </span>
<span id="L16" class="LineNr"> 16 </span>
<span id="L17" class="LineNr"> 17 </span>Syntax:
<span id="L18" class="LineNr"> 18 </span>declare msmi_$close_submodel entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L19" class="LineNr"> 19 </span>call msmi_$close_submodel <span class="textRainbow_lv0_p0">(</span>opening_name<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L20" class="LineNr"> 20 </span>
<span id="L21" class="LineNr"> 21 </span>
<span id="L22" class="LineNr"> 22 </span>Notes:  The opening_name is the one given in the call to
<span id="L23" class="LineNr"> 23 </span>msmi_$open_submodel for the submodel that is to be closed.
<span id="L24" class="LineNr"> 24 </span>
<span id="L25" class="LineNr"> 25 </span>
<span id="L26" class="LineNr"> 26 </span>:Entry: get_attribute_data: 12/01/86  msmi_$get_attribute_data
<span id="L27" class="LineNr"> 27 </span>
<span id="L28" class="LineNr"> 28 </span>Function:  This entry returns the attribute information for the
<span id="L29" class="LineNr"> 29 </span>given relation.
<span id="L30" class="LineNr"> 30 </span>
<span id="L31" class="LineNr"> 31 </span>
<span id="L32" class="LineNr"> 32 </span>Syntax:
<span id="L33" class="LineNr"> 33 </span>declare msmi_$get_attribute_data entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L34" class="LineNr"> 34 </span>   fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L35" class="LineNr"> 35 </span>call msmi_$get_attribute_data <span class="textRainbow_lv0_p0">(</span>opening_name<span class="textRainbow_lv0_o0">,</span> rel_name<span class="textRainbow_lv0_o0">,</span> area_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L36" class="LineNr"> 36 </span>   structure_version<span class="textRainbow_lv0_o0">,</span> attribute_data_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L37" class="LineNr"> 37 </span>
<span id="L38" class="LineNr"> 38 </span>
<span id="L39" class="LineNr"> 39 </span>Notes:  The data about the attributes for a given relation in the
<span id="L40" class="LineNr"> 40 </span>submodel is returned in the following structure for version 1:
<span id="L41" class="LineNr"> 41 </span> dcl 1 mrds_dsm_attribute_data based
<span id="L42" class="LineNr"> 42 </span>       <span class="textRainbow_lv0_p0">(</span>mrds_dsm_attribute_data_ptr<span class="textRainbow_lv0_p0">)</span> aligned,
<span id="L43" class="LineNr"> 43 </span>     2 version fixed bin,
<span id="L44" class="LineNr"> 44 </span>     2 number_of_attributes fixed bin,
<span id="L45" class="LineNr"> 45 </span>     2 attributes <span class="textRainbow_lv0_p0">(</span>mrds_dsm_attribute_data_num_atts refer
<span id="L46" class="LineNr"> 46 </span>       <span class="textRainbow_lv1_p0">(</span>mrds_dsm_attribute_data.number_of_attributes<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>,
<span id="L47" class="LineNr"> 47 </span>       3 submodel_attribute_name char<span class="textRainbow_lv0_p0">(</span>64<span class="textRainbow_lv0_p0">)</span>,
<span id="L48" class="LineNr"> 48 </span>       3 model_attribute_name char<span class="textRainbow_lv0_p0">(</span>32<span class="textRainbow_lv0_p0">)</span>,
<span id="L49" class="LineNr"> 49 </span>       3 read_access bit<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L50" class="LineNr"> 50 </span>       3 modify_access bit<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L51" class="LineNr"> 51 </span>       3 null_access bit<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L52" class="LineNr"> 52 </span>       3 mbz1 bit<span class="textRainbow_lv0_p0">(</span>33<span class="textRainbow_lv0_p0">)</span> unal;
<span id="L53" class="LineNr"> 53 </span>
<span id="L54" class="LineNr"> 54 </span>
<span id="L55" class="LineNr"> 55 </span>:Entry: get_relation_data: 12/01/86  msmi_$get_relation_data
<span id="L56" class="LineNr"> 56 </span>
<span id="L57" class="LineNr"> 57 </span>Function:  This entry returns information about each relation in
<span id="L58" class="LineNr"> 58 </span>a submodel.
<span id="L59" class="LineNr"> 59 </span>
<span id="L60" class="LineNr"> 60 </span>
<span id="L61" class="LineNr"> 61 </span>Syntax:
<span id="L62" class="LineNr"> 62 </span>declare msmi_$get_relation_data entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L63" class="LineNr"> 63 </span>   fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L64" class="LineNr"> 64 </span>call msmi_$get_relation_data <span class="textRainbow_lv0_p0">(</span>opening_name<span class="textRainbow_lv0_o0">,</span> area_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L65" class="LineNr"> 65 </span>   structure_version<span class="textRainbow_lv0_o0">,</span> relation_data_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L66" class="LineNr"> 66 </span>
<span id="L67" class="LineNr"> 67 </span>
<span id="L68" class="LineNr"> 68 </span>Notes:  The information about each relation in the submodel is returned
<span id="L69" class="LineNr"> 69 </span>in the following structure for version 1:
<span id="L70" class="LineNr"> 70 </span> dcl 1 mrds_dsm_relation_data based
<span id="L71" class="LineNr"> 71 </span>       <span class="textRainbow_lv0_p0">(</span>mrds_dsm_relation_data_ptr<span class="textRainbow_lv0_p0">)</span> aligned,
<span id="L72" class="LineNr"> 72 </span>     2 version fixed bin,
<span id="L73" class="LineNr"> 73 </span>     2 number_of_relations fixed bin,
<span id="L74" class="LineNr"> 74 </span>     2 relations <span class="textRainbow_lv0_p0">(</span>mrds_dsm_relation_data_num_rels refer
<span id="L75" class="LineNr"> 75 </span>       <span class="textRainbow_lv1_p0">(</span>mrds_dsm_relation_data.number_of_relations<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>,
<span id="L76" class="LineNr"> 76 </span>       3 submodel_relation_name char<span class="textRainbow_lv0_p0">(</span>64<span class="textRainbow_lv0_p0">)</span>,
<span id="L77" class="LineNr"> 77 </span>       3 model_relation_name char<span class="textRainbow_lv0_p0">(</span>32<span class="textRainbow_lv0_p0">)</span>,
<span id="L78" class="LineNr"> 78 </span>       3 append_access bit<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L79" class="LineNr"> 79 </span>       3 delete_access bit<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L80" class="LineNr"> 80 </span>       3 null_access bit<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L81" class="LineNr"> 81 </span>       3 mbz1 bit<span class="textRainbow_lv0_p0">(</span>36<span class="textRainbow_lv0_p0">)</span> unal;
<span id="L82" class="LineNr"> 82 </span>
<span id="L83" class="LineNr"> 83 </span>
<span id="L84" class="LineNr"> 84 </span>:Entry: get_submodel_info: 12/01/86  msmi_$get_submodel_info
<span id="L85" class="LineNr"> 85 </span>
<span id="L86" class="LineNr"> 86 </span>Function:  This entry returns general information about the submodel.
<span id="L87" class="LineNr"> 87 </span>
<span id="L88" class="LineNr"> 88 </span>
<span id="L89" class="LineNr"> 89 </span>Syntax:
<span id="L90" class="LineNr"> 90 </span>declare msmi_$get_submodel_info entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L91" class="LineNr"> 91 </span>   fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L92" class="LineNr"> 92 </span>call msmi_$get_submodel_info <span class="textRainbow_lv0_p0">(</span>opening_name<span class="textRainbow_lv0_o0">,</span> area_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L93" class="LineNr"> 93 </span>   structure_version<span class="textRainbow_lv0_o0">,</span> submodel_info_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L94" class="LineNr"> 94 </span>
<span id="L95" class="LineNr"> 95 </span>
<span id="L96" class="LineNr"> 96 </span>Notes:  The general submodel information is returned in the following
<span id="L97" class="LineNr"> 97 </span>structure for version 1:
<span id="L98" class="LineNr"> 98 </span> dcl 1 mrds_dsm_submodel_info based
<span id="L99" class="LineNr"> 99 </span>    <span class="textRainbow_lv0_p0">(</span>mrds_dsm_submodel_info_ptr<span class="textRainbow_lv0_p0">)</span> aligned,
<span id="L100" class="LineNr">100 </span>     2 version fixed bin,
<span id="L101" class="LineNr">101 </span>     2 submodel_version fixed bin,
<span id="L102" class="LineNr">102 </span>     2 database_path char<span class="textRainbow_lv0_p0">(</span>168<span class="textRainbow_lv0_p0">)</span>,
<span id="L103" class="LineNr">103 </span>     2 submodel_path char<span class="textRainbow_lv0_p0">(</span>168<span class="textRainbow_lv0_p0">)</span>,
<span id="L104" class="LineNr">104 </span>     2 date_time_created fixed bin<span class="textRainbow_lv0_p0">(</span>71<span class="textRainbow_lv0_p0">)</span>,
<span id="L105" class="LineNr">105 </span>     2 creator_id char<span class="textRainbow_lv0_p0">(</span>32<span class="textRainbow_lv0_p0">)</span>;
<span id="L106" class="LineNr">106 </span>
<span id="L107" class="LineNr">107 </span>
<span id="L108" class="LineNr">108 </span>:Entry: open_submodel: 12/01/86  msmi_$open_submodel
<span id="L109" class="LineNr">109 </span>
<span id="L110" class="LineNr">110 </span>Function:  This entry associates a submodel with an opening_name so
<span id="L111" class="LineNr">111 </span>that it can be used by other msmi_ entries.  The same submodel
<span id="L112" class="LineNr">112 </span>may be associated with multiple opening names.
<span id="L113" class="LineNr">113 </span>
<span id="L114" class="LineNr">114 </span>
<span id="L115" class="LineNr">115 </span>Syntax:
<span id="L116" class="LineNr">116 </span>declare msmi_$open_submodel entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L117" class="LineNr">117 </span>call msmi_$open_submodel <span class="textRainbow_lv0_p0">(</span>opening_name<span class="textRainbow_lv0_o0">,</span> path<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L118" class="LineNr">118 </span>
<span id="L119" class="LineNr">119 </span>
<span id="L120" class="LineNr">120 </span>Notes:  The opening name supplied by the user identifies this opening
<span id="L121" class="LineNr">121 </span>of the submodel given by path.
<span id="L122" class="LineNr">122 </span>
<span id="L123" class="LineNr">123 </span>
<span id="L124" class="LineNr">124 </span>
<span id="L125" class="LineNr">125 </span>
<span id="L126" class="LineNr">126 </span>
<span id="L127" class="LineNr">127 </span>
<span id="L128" class="LineNr">128 </span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
